# Get Crypto Currencies GET https://api-gateway-stg.transak.com/api/v2/lookup/currencies/crypto-currencies The **Get Crypto Currencies** API helps you fetch the list of supported cryptocurrencies along with high-level data, including the cryptocurrency name, symbol, and whether it is allowed for transactions. This is a **public API endpoint**, so no authentication is required. Reference: https://docs.transak.com/api/whitelabel/lookup/get-crypto-currencies ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: whitelabel-api version: 1.0.0 paths: /api/v2/lookup/currencies/crypto-currencies: get: operationId: get-crypto-currencies summary: Get Crypto Currencies description: >- The **Get Crypto Currencies** API helps you fetch the list of supported cryptocurrencies along with high-level data, including the cryptocurrency name, symbol, and whether it is allowed for transactions. This is a **public API endpoint**, so no authentication is required. tags: - subpackage_lookUp responses: '200': description: 200 - Success content: application/json: schema: $ref: '#/components/schemas/LookUp_get-crypto-currencies_Response_200' '500': description: 500 - Internal Server Error content: application/json: schema: $ref: >- #/components/schemas/Get-crypto-currenciesRequestInternalServerError servers: - url: https://api-gateway-stg.transak.com components: schemas: ApiV2LookupCurrenciesCryptoCurrenciesGetResponsesContentApplicationJsonSchemaDataCryptoCurrenciesItemsImage: type: object properties: large: type: string small: type: string thumb: type: string required: - large - small - thumb title: >- ApiV2LookupCurrenciesCryptoCurrenciesGetResponsesContentApplicationJsonSchemaDataCryptoCurrenciesItemsImage ApiV2LookupCurrenciesCryptoCurrenciesGetResponsesContentApplicationJsonSchemaDataCryptoCurrenciesItemsNetwork: type: object properties: name: type: string fiatCurrenciesNotSupported: type: array items: type: string required: - name - fiatCurrenciesNotSupported title: >- ApiV2LookupCurrenciesCryptoCurrenciesGetResponsesContentApplicationJsonSchemaDataCryptoCurrenciesItemsNetwork ApiV2LookupCurrenciesCryptoCurrenciesGetResponsesContentApplicationJsonSchemaDataCryptoCurrenciesItems: type: object properties: image: $ref: >- #/components/schemas/ApiV2LookupCurrenciesCryptoCurrenciesGetResponsesContentApplicationJsonSchemaDataCryptoCurrenciesItemsImage isAllowed: type: boolean isStable: type: boolean name: type: string roundOff: type: integer symbol: type: string network: $ref: >- #/components/schemas/ApiV2LookupCurrenciesCryptoCurrenciesGetResponsesContentApplicationJsonSchemaDataCryptoCurrenciesItemsNetwork uniqueId: type: string isSellAllowed: type: boolean required: - image - isAllowed - isStable - name - roundOff - symbol - network - uniqueId - isSellAllowed title: >- ApiV2LookupCurrenciesCryptoCurrenciesGetResponsesContentApplicationJsonSchemaDataCryptoCurrenciesItems ApiV2LookupCurrenciesCryptoCurrenciesGetResponsesContentApplicationJsonSchemaData: type: object properties: cryptoCurrencies: type: array items: $ref: >- #/components/schemas/ApiV2LookupCurrenciesCryptoCurrenciesGetResponsesContentApplicationJsonSchemaDataCryptoCurrenciesItems required: - cryptoCurrencies title: >- ApiV2LookupCurrenciesCryptoCurrenciesGetResponsesContentApplicationJsonSchemaData LookUp_get-crypto-currencies_Response_200: type: object properties: data: $ref: >- #/components/schemas/ApiV2LookupCurrenciesCryptoCurrenciesGetResponsesContentApplicationJsonSchemaData required: - data title: LookUp_get-crypto-currencies_Response_200 ApiV2LookupCurrenciesCryptoCurrenciesGetResponsesContentApplicationJsonSchemaError: type: object properties: statusCode: type: integer name: type: string message: type: string required: - statusCode - name - message title: >- ApiV2LookupCurrenciesCryptoCurrenciesGetResponsesContentApplicationJsonSchemaError Get-crypto-currenciesRequestInternalServerError: type: object properties: error: $ref: >- #/components/schemas/ApiV2LookupCurrenciesCryptoCurrenciesGetResponsesContentApplicationJsonSchemaError required: - error title: Get-crypto-currenciesRequestInternalServerError ``` ## SDK Code Examples ```python Success import requests url = "https://api-gateway-stg.transak.com/api/v2/lookup/currencies/crypto-currencies" response = requests.get(url) print(response.json()) ``` ```javascript Success const url = 'https://api-gateway-stg.transak.com/api/v2/lookup/currencies/crypto-currencies'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/lookup/currencies/crypto-currencies" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/lookup/currencies/crypto-currencies") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/lookup/currencies/crypto-currencies") .asString(); ``` ```php Success request('GET', 'https://api-gateway-stg.transak.com/api/v2/lookup/currencies/crypto-currencies'); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/lookup/currencies/crypto-currencies"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/lookup/currencies/crypto-currencies")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```